This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 498701 - preupgrade backtrace: anaconda.id.storage.fsset.turnOnSwap(upgrading=True)
preupgrade backtrace: anaconda.id.storage.fsset.turnOnSwap(upgrading=True)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
anaconda_trace_hash:790831c362c1c6deb...
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2009-05-02 02:03 EDT by Jens Petersen
Modified: 2009-05-07 06:34 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-03 19:17:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (117.38 KB, text/plain)
2009-05-02 02:03 EDT, Jens Petersen
no flags Details
Attached traceback automatically from anaconda. (117.32 KB, text/plain)
2009-05-02 03:38 EDT, Jens Petersen
no flags Details
Attached traceback automatically from anaconda. (204.41 KB, text/plain)
2009-05-03 16:45 EDT, Maxim Evdokimov
no flags Details
Attached traceback automatically from anaconda. (157.46 KB, text/plain)
2009-05-03 17:30 EDT, adriano
no flags Details
Attached traceback automatically from anaconda. (175.58 KB, text/plain)
2009-05-03 17:57 EDT, Martin Ebourne
no flags Details
Attached traceback automatically from anaconda. (87.36 KB, text/plain)
2009-05-03 19:12 EDT, Evan Klitzke
no flags Details
Attached traceback automatically from anaconda. (157.71 KB, text/plain)
2009-05-04 06:57 EDT, ufa
no flags Details
Attached traceback automatically from anaconda. (151.05 KB, text/plain)
2009-05-04 07:17 EDT, Fernando Henrique Sanches
no flags Details
Attached traceback automatically from anaconda. (120.20 KB, text/plain)
2009-05-04 09:27 EDT, Matthias Runge
no flags Details
Attached traceback automatically from anaconda. (151.07 KB, text/plain)
2009-05-04 10:12 EDT, Tomasz Torcz
no flags Details
Attached traceback automatically from anaconda. (87.36 KB, text/plain)
2009-05-04 23:11 EDT, Evan Klitzke
no flags Details

  None (edit)
Description Jens Petersen 2009-05-02 02:03:13 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.48 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/upgrade.py", line 313, in upgradeMountFilesystems
    anaconda.id.storage.fsset.turnOnSwap(upgrading=True)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 227, in currentStep
    self.gotoNext()
  File "/usr/lib/anaconda/gui.py", line 1363, in setScreen
    (step, anaconda) = self.anaconda.dispatch.currentStep()
  File "/usr/lib/anaconda/gui.py", line 1526, in setup_window
    self.setScreen()
  File "/usr/lib/anaconda/gui.py", line 1536, in run
    self.setup_window(runres)
  File "/usr/lib/anaconda/gui.py", line 1283, in run
    self.icw.run (self.runres)
  File "/usr/bin/anaconda", line 966, in <module>
    anaconda.intf.run(anaconda)
TypeError: turnOnSwap() takes at least 2 non-keyword arguments (1 given)
Comment 1 Jens Petersen 2009-05-02 02:03:19 EDT
Created attachment 342166 [details]
Attached traceback automatically from anaconda.
Comment 2 Jens Petersen 2009-05-02 03:38:25 EDT
Created attachment 342170 [details]
Attached traceback automatically from anaconda.
Comment 3 Maxim Evdokimov 2009-05-03 16:45:03 EDT
Created attachment 342251 [details]
Attached traceback automatically from anaconda.
Comment 4 adriano 2009-05-03 17:30:08 EDT
Created attachment 342253 [details]
Attached traceback automatically from anaconda.
Comment 5 Martin Ebourne 2009-05-03 17:57:48 EDT
Created attachment 342256 [details]
Attached traceback automatically from anaconda.
Comment 6 Evan Klitzke 2009-05-03 19:12:50 EDT
Created attachment 342258 [details]
Attached traceback automatically from anaconda.
Comment 7 Chris Lumens 2009-05-03 19:17:32 EDT
This will be fixed in the next build of anaconda.  Thanks for the bug report.
Comment 8 ufa 2009-05-04 06:57:14 EDT
Created attachment 342290 [details]
Attached traceback automatically from anaconda.
Comment 9 Fernando Henrique Sanches 2009-05-04 07:17:24 EDT
Created attachment 342292 [details]
Attached traceback automatically from anaconda.
Comment 10 Matthias Runge 2009-05-04 09:27:43 EDT
Created attachment 342304 [details]
Attached traceback automatically from anaconda.
Comment 11 Tomasz Torcz 2009-05-04 10:12:53 EDT
Created attachment 342311 [details]
Attached traceback automatically from anaconda.
Comment 12 Evan Klitzke 2009-05-04 23:11:09 EDT
Created attachment 342409 [details]
Attached traceback automatically from anaconda.
Comment 13 asavartsov 2009-05-07 06:34:27 EDT
Is there any solution or workaround for this bug to complete upgrade to Fedora 11 with preupgrade?

Note You need to log in before you can comment on or make changes to this bug.